This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 427662 - Review Request: cpipe - Counting pipe
Review Request: cpipe - Counting pipe
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-06 07:29 EST by Terje Røsten
Modified: 2008-01-24 15:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-24 15:07:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Terje Røsten 2008-01-06 07:29:16 EST
Spec URL: http://terjeros.fedorapeople.org/cpipe/cpipe.spec
SRPM URL: http://terjeros.fedorapeople.org/cpipe/cpipe-3.0.1-1.fc8.src.rpm
Description:
Cpipe copies its standard input to its standard output while measuring
the time it takes to read an input buffer and write an output
buffer. Statistics of average throughput and the total amount of bytes
copied are printed to the standard error output.
Comment 1 Jan ONDREJ 2008-01-09 15:59:36 EST
Why you are using group Development/Tools ? It has nothing with development.
I think better group is defined upstream: Applications/Archiving, or may be
Applications/System.

%{__chmod} 0644 %{buildroot}%{_mandir}/man1/%{name}*
- it is not necessary, just add %attr(0644, root, root) before this file in
%files section.

Some developers does not like macros like "%{__rm}" or "%{__make}".
Comment 2 Jan ONDREJ 2008-01-09 16:03:34 EST
Why cpipe is better like program "pv" already included in Fedora?

Do we need both of them?
Comment 3 Patrice Dumas 2008-01-09 17:52:51 EST
If the contributor is willing to package cpipe it is fine.
It is still useful to point that it is redundant with another
package since the contributor may change his mind then.
Comment 4 Terje Røsten 2008-01-14 15:28:18 EST
> Why you are using group Development/Tools ? It has nothing with development.
> I think better group is defined upstream: Applications/Archiving, or may be
> Applications/System.

I don't know,  Applications/Archiving was too strange andnarrow,
Applications/System is possible.

> %{__chmod} 0644 %{buildroot}%{_mandir}/man1/%{name}*
> - it is not necessary, just add %attr(0644, root, root) before this file in
> %files section.

I like it this way, as it clearly signal that something is wrong.


> Some developers does not like macros like "%{__rm}" or "%{__make}".

I prefer to use macros in my packages.


> Why cpipe is better like program "pv" already included in Fedora?
> Do we need both of them?

I see no harm in including cpipe.



Comment 5 Mamoru TASAKA 2008-01-22 10:52:11 EST
No problem

- License matches, good to Fedora
- Source tarball matches
- Spec file good
- Builds (at least on dist-f9:
  http://koji.fedoraproject.org/koji/taskinfo?taskID=365669 )
  build.log no problem
- Can be installed
- Seems to work

----------------------------------------------------------------------------
        This package (cpipe) is APPROVED by me
----------------------------------------------------------------------------
Comment 6 Mamoru TASAKA 2008-01-22 11:04:37 EST
A few comments:

(In reply to comment #1)
> %{__chmod} 0644 %{buildroot}%{_mandir}/man1/%{name}*
> - it is not necessary, just add %attr(0644, root, root) before this file in
> %files section.

My opinition is always that setting modes/permissions by %attr
should be avoided unless needed (such as using non-usual users,
or setting setuid).
Especially, changing permission by %attr often bears unwilling results
for debuginfo rpms (using %attr(0755,root,root) but not changing
permission correctly by the time %install ends makes binaries not stripped)
Comment 7 Terje Røsten 2008-01-23 12:11:38 EST
>         This package (cpipe) is APPROVED by me

Thanks!


New Package CVS Request
=======================
Package Name: cpipe
Short Description: Counting pipe
Owners: terjeros
Branches: F-7 F-8
InitialCC:
Cvsextras Commits: yes
Comment 8 Kevin Fenzi 2008-01-23 13:36:52 EST
cvs done.
Comment 9 Mamoru TASAKA 2008-01-24 00:25:58 EST
Please close this bug as NEXTRELEASE when rebuild on koji and push request
on bodhi system are done.
Comment 10 Terje Røsten 2008-01-24 15:07:16 EST
Pushed for testing in F-7 and F-8.

Note You need to log in before you can comment on or make changes to this bug.